Bug 1462762 - Browser with opened cluster overview consumes huge amount of memory
Browser with opened cluster overview consumes huge amount of memory
Status: NEW
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-ui (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nishanth Thomas
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-19 09:21 EDT by Daniel Horák
Modified: 2018-05-09 07:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Horák 2017-06-19 09:21:14 EDT
Description of problem:
  Web browser (Firefox or Chrome) with opened Tendrl - Cluster Overview page consumes huge amount of memory after few hours.

Version-Release number of selected component (if applicable):
  tendrl-alerting-3.0-alpha.3.el7scon.noarch
  tendrl-api-3.0-alpha.4.el7scon.noarch
  tendrl-api-doc-3.0-alpha.4.el7scon.noarch
  tendrl-api-httpd-3.0-alpha.4.el7scon.noarch
  tendrl-commons-3.0-alpha.9.el7scon.noarch
  tendrl-dashboard-3.0-alpha.4.el7scon.noarch
  tendrl-node-agent-3.0-alpha.9.el7scon.noarch
  tendrl-performance-monitoring-3.0-alpha.7.el7scon.noarch

How reproducible:
  100%


Steps to Reproduce:
1. Prepare nodes for Ceph cluster and Tendrl server:
  - 1 Tendrl Server
  - 3 Ceph MONs
  - 4 Ceph OSDs with 10 free disks, two of them are configured as SSDs[1].
2. Install Tendrl Server and Tendrl nodes.
3. Create Ceph Cluster via Tendrl web UI.
4. Create fresh clean profile in Firefox and open there the Ceph cluster Overview page (Clusters -> <cluster name>)
5. Left it untouched for few hours.
6. Monitor the memory consumed by the browser.


Actual results:
  The browser starts to consume more and more memory.
  In my case after 5 hours fresh clean firefox profile with only the one tab opened consumes more than 5GB of RAM and more than 13GB of Virtual Memory! (see the attached screenshot of htop)

Expected results:
  Browser with opened any Tendrl page should consume reasonable amount of memory and should not consume more and more memory during few hours time frame.

Additional info:
Comment 3 Martin Bukatovic 2018-03-13 09:41:42 EDT
Fixing component.

Note You need to log in before you can comment on or make changes to this bug.